Mettre à jour l’utilisateur de service
curl --request PATCH \
--url https://api.devin.ai/v3/enterprise/members/service-users/{service_user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/enterprise/members/service-users/{service_user_id}"
payload = { "role_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_id: '<string>'})
};
fetch('https://api.devin.ai/v3/enterprise/members/service-users/{service_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted_at": 123,
"expires_at": 123,
"name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
],
"service_user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Utilisateurs de service (Entreprise)
Mettre à jour l’utilisateur de service
Mettre à jour le rôle Enterprise d’un utilisateur de service.
PATCH
/
v3
/
enterprise
/
members
/
service-users
/
{service_user_id}
Mettre à jour l’utilisateur de service
Autorisations
ManageAccountMembership au niveau de l’entreprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de chemin
ID de l’utilisateur de service (préfixe : service-user-)
Exemple:
"service-user-abc123def456"
Corps
application/json
⌘I

